Subject: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Drew Adams <[email-masked]>
Date: Tue, 15 Jul 2014 09:19:34 -0700 (PDT)

> That's probably the pop-mark that's in mouse-drag-track.  It has
> a `push-mark' before, so naively it seems like the mark should be set.
> 
> > I was in Info at the time.
> 
> I think we need more data to figure out why the mark isn't set and hence
> what to do about it.  A reproducible test case would obviously be best,
> but otherwise maybe some indication of what kind of mouse gesture you
> did, or what kind of customizations you might have that could interact
> with that code and could unset the mark (maybe from
> a pre/post-command-hook?).

Happened again.  Here's a bit more info.  I did M-n in Info
and got the backtrace:

Debugger entered--Lisp error: (error "Marker does not point anywhere")
  pop-mark()
  #[0 "\303\300\304 \210\305 \207" [t track-mouse auto-hscroll-mode nil deactivate-mark pop-mark] 1 "\n\n(fn)"]()
  #[0 "\301\204...
  funcall(#[0 "\301\204...
  clear-transient-map()

[Really wish you would fix bug #6991.  Each report of a
backtrace requires manual editing.  Users should be able to
just copy & paste.]

And this is the tail end of C-h l, showing that I really didn't do much after M-n:

<switch-frame> <down-mouse-1>
<mouse-1> <help-echo> <down-mouse-1> <mouse-1> M-n
<help-echo> <down-mouse-2> <mouse-movement> <mouse-2>
<help-echo> <help-echo> <switch-frame> <switch-frame>
<down-mouse-1> <mouse-movement> <mouse-1> C-s <help-echo>
<down-mouse-1> <mouse-movement> <mouse-1> <help-echo>
<help-echo> <help-echo> C-h l